- libbson 1.13.1 »
- API Reference »
- Memory Management

# bson_zero_free()

## Synopsis

    void
    bson_zero_free (void *mem, size_t size);

## Parameters

- `mem`: A memory region.
- `size`: The size of `mem`.

## Description

This function behaves like bson_free() except that it zeroes the memory first. This can be useful if you are storing passwords or other similarly important data. Note that if it truly is important, you probably want a page protected with `mlock()` as well to prevent it swapping to disk.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.